//
// mainship.h
// Header for mainship.cpp
//

#ifndef __MAINSHIP_H__
#define __MAINSHIP_H__


// Mainship subtypes
//
#define SUBTYPE_MAINSHIP_DARKSTAR  0 // Blaire's "Dark Star" ship
#define SUBTYPE_MAINSHIP_KRAIT     1 // lt. Jamesons's "Krait" fighter
#define SUBTYPE_MAINSHIP_IMPFIRE   2 // Emperor's "Imperial Fire"
#define SUBTYPE_MAINSHIP_THARGOID  3 // Thargoid's mid-class fighter
#define SUBTYPE_MAINSHIP_ORLIGHT   4 // Duke Vasso's courier ship, "Orion's Light"


// Main ship class (user will drive this class of game element)
//
class TGame_mainship: public TGameElement {
    public:

        double engine_sprnum; // sprite number for engine's flame

        TGame_mainship ( TSurface * sf );
        void Draw ( void );
        void TimerTick ( void );
};


#endif // __MAINSHIP_H_