//
// smoke.h
// Header for smoke.cpp
//

#ifndef __SMOKE_H__
#define __SMOKE_H__

// maximal amount of smoke elements
//
#define MAX_SMOKE_ELEMENTS 50


// Class for smoke effects
//
class TGame_smoke: public TGameElement {
    public:

        int	    fx[MAX_SMOKE_ELEMENTS];
	    int	    fy[MAX_SMOKE_ELEMENTS];
	    int	    fimage[MAX_SMOKE_ELEMENTS];
	    double	fsprite[MAX_SMOKE_ELEMENTS];

        TGame_smoke ( TSurface * sf );
        void Draw ( void );
        void TimerTick ( void );

        void AddSmoke ( int __x, int __y, int __imgnum );
};


#endif // __SMOKE_H_
