<?php

//
// Some PHP routines that will be used in my scripts here
//
//

// Search folder ** taken from PHP help file example
//
function findfile ($location='', $fileregex='') {
   if (!$location or !is_dir($location) or !$fileregex) {
      return false;
   }
   $matchedfiles = array();
   $all = opendir($location);
   while ($file = readdir($all)) {
      if (is_dir($location.'/'.$file) and $file <> ".." and $file <> ".") {
         $subdir_matches = findfile($location.'/'.$file,$fileregex);
         $matchedfiles = array_merge($matchedfiles,$subdir_matches);
         unset($file);
      }
      elseif (!is_dir($location.'/'.$file)) {
         if (preg_match($fileregex,$file)) {
            array_push($matchedfiles,$location.'/'.$file);
         }
      }
   }
   closedir($all);
   unset($all);
   return $matchedfiles;
}

// changes file extension
//
function change_file_ext( $fname, $newext )
{
     if (!preg_match('/(\S+)\.(\S+)$/', basename($fname), $matches)) {
       return $fname.'.'.$newext;
     }
     $sf = $matches[1];
     return $sf . '.' . $newext;
}

// write word to file
//
function write_word( $f, $w )
{
    $b2 = chr(($w & 0xFF00) >> 8);
    $b1 = chr($w & 0xFF);
    fwrite($f, $b1, 1);
    fwrite($f, $b2, 1);
}


?>
