//
// all our includes are here
//

#ifndef __STDAFX_H__
#define __STDAFX_H__

// Windows Header Files
#include <windows.h>
#include <mmsystem.h>
#include <commctrl.h>
#include <aygshell.h>
#include <sipapi.h>
#include <math.h>
#include <algorithm>
#include <string>
#include <list>

// TCHAR string
typedef std::basic_string<TCHAR, std::char_traits<TCHAR>, std::allocator<TCHAR> > tstring;

// Global Definitions
extern HINSTANCE            g_hInst;
extern HWND                 g_hMainWindow;
extern TCHAR                g_sCurrentDir[];

extern void AddToGlobalErrors ( LPCTSTR s );

// Local Header Files
#include "zlib/zlib.h"
#include "defines.h"
#include "gametables.h"
#include "utils.h"
#include "gfxdraw.h"
#include "surface.h"
#include "fmod.h"
#include "fmod_errors.h"
#include "sound.h"
#include "mainmenu.h"
#include "hud.h"
#include "smoke.h"
#include "mainship.h"
#include "firepro.h"
#include "asteroids.h"
#include "interior.h"


#endif // __STDAFX_H__
